# Copyright (C) 2009-2011 Canonical Ltd 

import os.path
import sys


from launchpadlib.credentials import Credentials

from launchpadlib.launchpad import (
    Launchpad, 
    )

from launchpadlib.uris import (
    LPNET_SERVICE_ROOT,
    )


service_root = os.environ.get(
    'LAUNCHPAD_API', 
    LPNET_SERVICE_ROOT)


def trace(s):
    sys.stderr.write(s + '\n')


def create_session():
    # Due to <http://pad.lv/752095> and changes in lplib, we now rely on it to
    # set the cache, credential store, etc.
    #
    # NB: Generally naming the parameters seems safer, but in this case the
    # first changed from 'consumer_name' to 'application_name' in natty.
    return Launchpad.login_with(
        'hydrazine',
        service_root=LPNET_SERVICE_ROOT)
