#!/usr/bin/python

from distutils.core import setup
from os.path import join, dirname

description = file(join(dirname(__file__), 'README'), 'rb').read()

setup(
    name='hydrazine',
    version='0.2dev',
    url='https://launchpad.net/hydrazine',
    author='Martin Pool',
    author_email='mbp@canonical.com',
    license='GPLv3',
    description='A dern fine collection of CLI tools for Launchpad.',
    long_description=description,
    py_modules=[],
    packages=['hydrazine'],
    scripts=['bugclient', 'check-membership', 'scan-merge-proposals',
        'capture-bug-counts', 'feed-pqm', 'lp-attach'],
    requires=[
        # launchpadlib 1.5.4 was the first to include launchpadlib.uris
        'launchpadlib (>= 1.5.4)',
    ],
    classifiers=[
        'Development Status :: 4 - Beta',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: GNU General Public License v3 (GPL3)',
        'Operating System :: OS Independent',
        'Programming Language :: Python',
        'Topic :: Software Development',
    ],
    )
